--KHT globals

KHT_NUM_BARS = 11;
KHT_NUM_OPTIONS = 11;
KHT_NUM_LABELS = 11;
KHT_NUM_SLIDERS = 7;
KHT_NUM_TABS = 7; 

KHT_NUM_TIMERS = {
	[1] = 7,		-- Traps
	[2] = 5,		-- Stings
	[3] = 21,		-- Abilities
	[4] = 16,		-- Pets
	[5] = 12,		-- Talents
	[6] = 39,		-- Gear
	[7] = 14,		-- Items
};

KHT_OPTIONS_TIMERS = {
	[1] = {
		[1] = KHT_TRAP,
		[2] = KHT_FREEZING_TRAP,
		[3] = KHT_FROST_TRAP,
		[4] = KHT_EXPLOSIVE_TRAP,
		[5] = KHT_IMMOLATION_TRAP,
		[6] = KHT_ENTRAPMENT,
		[7] = KHT_SNAKE_TRAP
	},
	[2] = {
		[1]  = KHT_STING,
		[2]  = KHT_SERPENT_STING,
		[3]  = KHT_SCORPID_STING,
		[4]  = KHT_VIPER_STING,
		[5]  = KHT_WYVERN_STING
	},
	[3] = {
		[1]  = KHT_ABILITIES,
		[2]  = KHT_AUTO_SHOT,
		[3]  = KHT_FLARE,
		[4]  = KHT_FEIGN_DEATH,
		[5]  = KHT_RAPID_FIRE,
		[6]  = KHT_HUNTERS_MARK,
		[7]  = KHT_CONCUSSIVE_SHOT,
		[8]  = KHT_EAGLE_EYE,
		[9]  = KHT_EYES_BEAST,
		[10] = KHT_SCATTER_SHOT,
		[11] = KHT_DETERRENCE,
		[12] = KHT_COUNTERATTACK,
		[13] = KHT_SCARE_BEAST,
		[14] = KHT_WINGCLIP,
		[15] = KHT_BERSERKING,
		[16] = KHT_STONEFORM,
		[17] = KHT_BLOODFURY,
		[18] = KHT_WARSTOMP,
		[19] = KHT_MISDIRECT,
		[20] = KHT_KILLCOMMAND,
		[21] = KHT_MASTER_CALL,
	},
	[4] = {
		[1]  = KHT_PET,
		[2]  = KHT_FEED_PET,
		[3]  = KHT_MEND_PET,
		[4]  = KHT_BEASTIAL_WRATH,
		[5]  = KHT_FRENZY,
		[6]  = KHT_INTIMIDATION,
		[7]  = KHT_DASH,
		[8]  = KHT_DIVE,
		[9]  = KHT_SHELL_SHIELD,
		[10] = KHT_CULLING_HERD,
		[11] = KHT_RABID,
		[12] = KHT_CALL_WILD,
		[13] = KHT_FURIOUS_HOWL,
		[14] = KHT_LAST_STAND,
		[15] = KHT_ROAR_SACRIFICE,
		[16] = KHT_ROAR_RECOVERY
	},
	[5] = {
		[1]  = KHT_TALENT,
		[2]  = KHT_QUICK_SHOT,
		[3]  = KHT_SILENCING_SHOT,
		[4]  = KHT_WYVERN_STING,
		[5]  = KHT_RAPID_KILLING,
		[6]  = KHT_MASTER_TACTICIAN,
		[7]  = KHT_EXPOSE_WEAKNESS,
		[8]  = KHT_CONCUSSIVE_BARRAGE,
		[9]  = KHT_BLACK_ARROW,
		[10] = KHT_SNIPER_TRAINING,
		[11] = KHT_HUNTING_PARTY,
		[12] = KHT_EXPLOSIVE_SHOT
	},
	[6] = {		
		[1]  = KHT_GEAR,
		[2]  = KHT_TIER_TWO,
		[3]  = KHT_DEVILSAUR_EYE,
		[4]  = KHT_ZAND_MEDAL,
		[5]  = KHT_JOM_GABER,
		[6]	 = KHT_EARTHSTRIKE,	
		[7]  = KHT_SWARMGUARD,
		[8]  = KHT_SLAYERS_CREST,
		[9]  = KHT_KISS_SPIDER,
		[10] = KHT_TIDAL_CHARM,
		[11] = KHT_NIFTY_STOPWATCH,
		[12] = KHT_DOOM_SKULL,
		[13] = KHT_FLAME_REFLECTOR,
		[14] = KHT_SHADOW_REFLECTOR,
		[15] = KHT_ICE_REFLECTOR,
		[16] = KHT_GOBLIN_BOOTS,
		[17] = KHT_GNOMISH_BOOTS,
		[18] = KHT_SWIFT_BOOTS,
		[19] = KHT_ROCKET_HELM,
		[20] = KHT_MC_CAP,
		[21] = KHT_CLOAK_DEVICE,
		[22] = KHT_GOBLIN_MORTAR,
		[23] = KHT_NET,
		[24] = KHT_SHRINK_RAY,
		[25] = KHT_ABACUS,
		[26] = KHT_DST,
		[27] = KHT_HOURGLASS,
		[28] = KHT_TSUNAMI,
		[29] = KHT_BROOCH,
		[30] = KHT_BEASTLORD,
		[31] = KHT_HYJAL_RING,
		[32] = KHT_MADNESS,
		[33] = KHT_ASHTONGUE,
		[34] = KHT_ZERKCALL,
		[35] = KHT_NITRO_BOOST,
		[36] = KHT_HYPERSPEED,
		[37] = KHT_GREATNESS,
		[38] = KHT_MIRROR_TRUTH,
		[39] = KHT_GRIM_TOLL
	},
	[7]  = {		
		[1]  = KHT_ITEMS,
		[2]  = KHT_IRON_GRENADE,
		[3]  = KHT_THORIUM_GRENADE,
		[4]  = KHT_HIEXPO_BOMB,
		[5]  = KHT_FLASH_BOMB,
		[6]  = KHT_ARCANE_BOMB,
		[7]  = KHT_BIGIRON_BOMB,
		[8]  = KHT_DARKIRON_BOMB,
		[9]  = KHT_BIGBRONZE_BOMB,
		[10] = KHT_ROUGHCOPPER_BOMB,
		[11] = KHT_MITHRILFRAG_BOMB,
		[12] = KHT_SMALLBRONZE_BOMB,
		[13] = KHT_LARGECOPPER_BOMB,
		[14] = KHT_COBALTFRAG_BOMB
	}
};

KHT_OPTIONS_BARS = {
	[1] = KHT_OPTIONS_LOCK,
	[2] = KHT_OPTIONS_COLOR_CHANGE,
	[3] = KHT_OPTIONS_SHOW_TEX,
	[4] = KHT_OPTIONS_LARGE_TEX,
	[5] = KHT_OPTIONS_HIDE_GAP,
	[6] = KHT_OPTIONS_APPEND,
	[7] = KHT_OPTIONS_HIDE_PADDING,
	[8] = KHT_OPTIONS_HIDE_TEXT,
	[9] = KHT_OPTIONS_HIDE_TIME,
	[10] = KHT_OPTIONS_STICKY,
	[11] = KHT_OPTIONS_DOWN
};

KHT_OPTIONS_LABELS = {
	[1] = KHT_OPTIONS_BARS_TEXT,
	[2] = KHT_OPTIONS_BORDER,
	[3] = KHT_OPTIONS_BARSTART,
	[4] = KHT_OPTIONS_TEXT_COLOR,
	[5] = KHT_OPTIONS_BACKDROP,
	[6] = KHT_OPTIONS_BAREND,
	[7] = KHT_OPTIONS_TIME_COLOR,
	[8] = KHT_OPTIONS_SHOT_DELAY,
	[9] = KHT_OPTIONS_MILI,
	[10] = KHT_OPTIONS_TARGET_COLOR,
	[11] = KHT_OPTIONS_TEXTURE
};

KHT_OPTIONS_SLIDER = {
	[1] = KHT_OPTIONS_BAR_DIST,
	[2] = KHT_OPTIONS_SCALE,
	[3] = KHT_OPTIONS_DECIMALS,
	[4] = KHT_OPTIONS_FLASH,
	[5] = KHT_OPTIONS_STEP,
	[6] = KHT_OPTIONS_OVERALL_OPACITY,
	[7] = KHT_OPTIONS_BAR_THICKNESS
};

KHT_OPTIONS_SLIDER_ENDS = {
	[1] = {
		[1] = "0",
		[2] = "10"
	},
	[2] = {
		[1] = "50%",
		[2] = "150%"
	},
	[3] = {
		[1] = KHT_OFF,
		[2] = "3"
	},
	[4] = {
		[1] = KHT_OFF,
		[2] = "10"
	},
	[5] = {
		[1] = "0.01",
		[2] = "0.05"
	},
	[6] = {
		[1] = "0%",
		[2] = "100%"
	},
	[7] = {
		[1] = "10",
		[2] = "32"
	}
};
